Package org.eclipse.cdt.core.model

## Interface ICElementVisitor

    public interface ICElementVisitor

This interface is implemented by clients that walk the ICElement tree.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `leave​(ICElement element)` Called when leaving a member in the ICElement tree.
`boolean` `visit​(ICElement element)` Visited a member if the ICElement tree.

### Method Detail

#### visit

    boolean visit​(ICElement element)
           throws org.eclipse.core.runtime.CoreException

Visited a member if the ICElement tree. Returns whether to visit the children of this element.

Throws:
  `org.eclipse.core.runtime.CoreException`

#### leave

    default void leave​(ICElement element)
                throws org.eclipse.core.runtime.CoreException

Called when leaving a member in the ICElement tree.

Throws:
  `org.eclipse.core.runtime.CoreException`
Since:
  7.0